:root {
    --primary-color: #4a90e2;
    --secondary-color: #34495e;
    --accent-color: #f39c12;
    --success-color: #2ecc71;
    --danger-color: #e74c3c;
    --background-color: #f5f6fa;
    --surface-color: #ffffff;
    --text-primary: #2c3e50;
    --text-secondary: #7f8c8d;
    --border-radius: 12px;
    --transition-speed: 0.3s;
    --shadow-sm: 0 2px 4px rgba(0,0,0,0.1);
    --shadow-md: 0 4px 6px rgba(0,0,0,0.1);
    --shadow-lg: 0 10px 15px rgba(0,0,0,0.1);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.mx-auto
{

    margin: auto!important;
    display: inline!important;

}

body {
    font-family: 'Poppins', sans-serif;
    background-color: var(--background-color);
    color: var(--text-primary);
    line-height: 1.6;
}

.app-container {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* Header Styles */
.app-header {
    background: linear-gradient(135deg, var(--primary-color), var(--secondary-color));
    padding: 2rem;
    color: white;
    box-shadow: var(--shadow-md);
}

.header-content {
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

.header-content h1 {
    font-size: 2.5rem;
    font-weight: 600;
    margin-bottom: 0.5rem;
}

.header-subtitle {
    font-size: 1.1rem;
    opacity: 0.9;
}

/* Main Content Styles */
.app-main {
    flex: 1;
    padding: 2rem;
}

.content-wrapper {
    max-width: 1200px;
    margin: 0 auto;
}

.section-container {
    background: var(--surface-color);
    border-radius: var(--border-radius);
    padding: 2rem;
    box-shadow: var(--shadow-sm);
    margin-bottom: 2rem;
}

.section-header {
    display: flex;
    align-items: center;
    margin-bottom: 2rem;
    gap: 1rem;
}

.section-header h2 {
    font-size: 1.8rem;
    color: var(--secondary-color);
}

/* Grid Layouts */
.themes-grid, .classification-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 1.5rem;
    margin-top: 1.5rem;
}

/* Cards */
.theme-card, .classification-card {
    background: var(--surface-color);
    border-radius: var(--border-radius);
    padding: 0.8rem;
    box-shadow: var(--shadow-sm);
    transition: transform var(--transition-speed), box-shadow var(--transition-speed);
    cursor: pointer;
    border: 1px solid rgba(0,0,0,0.1);
    width: fit-content;
}

.theme-card:hover {
    transform: translateY(-5px);
    box-shadow: var(--shadow-md);
}

.classification-card {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.card-actions {
    display: flex;
    gap: 0.5rem;
    margin-top: auto;
}

/* Buttons */
.btn {
    padding: 0.8rem 1.5rem;
    border-radius: var(--border-radius);
    border: none;
    cursor: pointer;
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    transition: all var(--transition-speed);
}

.btn-primary {
    background-color: var(--primary-color);
    color: white;
}

.btn-secondary {
    background-color: var(--secondary-color);
    color: white;
}

.btn-danger {
    background-color: var(--danger-color);
    color: white;
}

.btn:hover {
    filter: brightness(110%);
    transform: translateY(-1px);
}

/* Forms */
.add-form {
    margin-top: 2rem;
}

.input-group {
    display: flex;
    gap: 1rem;
}

input[type="text"] {
    flex: 1;
    padding: 0.8rem 1.2rem;
    border: 1px solid rgba(0,0,0,0.1);
    border-radius: var(--border-radius);
    font-size: 1rem;
    transition: border-color var(--transition-speed);
}

input[type="text"]:focus {
    outline: none;
    border-color: var(--primary-color);
}

/* Notification */
.notification {
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    padding: 1rem 2rem;
    border-radius: var(--border-radius);
    background: var(--surface-color);
    box-shadow: var(--shadow-lg);
    transform: translateY(150%);
    transition: transform var(--transition-speed);
    z-index: 1000;
}

.notification.show {
    transform: translateY(0);
}

.notification.success {
    background-color: var(--success-color);
    color: white;
}

.notification.error {
    background-color: var(--danger-color);
    color: white;
}

/* Footer */
.app-footer {
    background-color: var(--secondary-color);
    color: white;
    text-align: center;
    padding: 1.5rem;
    margin-top: auto;
}

/* Responsive Design */
@media (max-width: 768px) {
    .app-header {
        padding: 1.5rem;
    }

    .header-content h1 {
        font-size: 2rem;
    }

    .app-main {
        padding: 1rem;
    }

    .section-container {
        padding: 1.5rem;
    }

    .themes-grid, .classification-grid {
        grid-template-columns: 1fr;
    }

    .input-group {
        flex-direction: column;
    }
}